﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassLibrary1
{
    [Serializable]
    public class Equipment: IComparable<Equipment>
    {
        public string firm { get; set; }
        public int year { get; set; }
        public string nom { get; set; }

        public Equipment(string firm="IBM", int year=2000, string nom="1")
        {
            this.firm = firm;
            this.year = year;
            this.nom = nom;
        }

        public override string ToString()
        {
            return firm + " " + year + " " + nom;
        }

        /*public override bool Equals(object obj)
        {
            Equipment x = obj as Equipment;
                if (x.firm == firm &&
                     x.year == year &&
                     x.nom == nom) return true;
                else return false;
        }*/

        /*public static bool operator ==(Equipment x, Equipment y)
        {
            if(x is null && y is null)
               return true;
            else if(!(x is null) && !(y is null))
                   return x.Equals(y);
                 else 
                   return false;
        }*/

        /*public static bool operator !=(Equipment x, Equipment y)
        {
            return !x.Equals(y);
        }*/

        /*public override int GetHashCode()
        {
            return firm.GetHashCode() + year + nom.GetHashCode();
        }*/

        public int CompareTo(Equipment other)
        {
            return year.CompareTo(other.year);
        }
    }
}
