﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using ClassLibrary1;

namespace WPF
{
    [ValueConversion(typeof(Printer), typeof(string))]
    public class Converter : IValueConverter
    {
        public object Convert(object value, Type type, object parameter, System.Globalization.CultureInfo culture)
        {
            Printer a = value as Printer;
            if (a != null)
                return a.nom + " " + a.col;
            else
                return null;
        }

        public object ConvertBack(object value, Type type, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    };
}
