﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using ClassLibrary1;

namespace WPF
{
    [ValueConversion(typeof(Printer), typeof(string))]
    public class Converter0 : IValueConverter
    {
        public object Convert(object value, Type type, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is Printer)
            {
                Printer a = value as Printer;
                return "Printer " + a.nom + " " + a.year;
            }
            else if (value is Computer)
            {
                Computer a = value as Computer;
                return "Computer " + a.nom + " " + a.year;
            }
            else
                return null;
        }

        public object ConvertBack(object value, Type type, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    };
}
