﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassLibrary1
{
    public enum PrinterType { Laser, Ink }

    [Serializable]
    public class Printer : Equipment
    {
        public PrinterType type { get; set; }
        public bool col { get; set; }

        public Printer(Equipment equip, PrinterType type, bool col) : base(equip.firm, equip.year, equip.nom)
        {
            this.type = type;
            this.col = col;
        }

        public override string ToString()
        {
            return "Printer "+ base.ToString()+ " " + type + " " + col;
        }
    }
}
